<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ship.shipyard.mapper.ShipyardMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shipyardResultMap" type="org.springblade.ship.shipyard.entity.Shipyard">
        <result column="id" property="id"/>
        <result column="code" property="code"/>
        <result column="name" property="name"/>
    </resultMap>


    <select id="selectShipyardPage" resultMap="shipyardResultMap">
        select * from sc_shipyard where is_deleted = 0
    </select>

</mapper>
